Subject: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 17 Feb 2022 16:02:18 +0100

Daniel Mendler <[email-masked]> writes:

> I think Juri's approach to provide a search function is better, since it
> gives more flexibility. At least please don't hard code the
> `outline-heading` property. Then one could use different properties and
> retroactively enable outline minor mode for modes which don't come with
> the outline-heading property. Maybe support a list of properties which
> indicate headlines? But at that point a function may just be simpler...

I don't see the point.  We're marking up buffers with semantic
information -- there isn't much point in trying to retrofit a machinery
like that for older packages.

I don't think it's necessary to create a whole machinery around this --
we should design with the future, not the past, in mind.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no